
Redmine - Feature #9807

Add link in diff view to point to revision

2011-12-15 12:11 - Daniel Dehennin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

When someone send a link to a diff, the only way to get the revision is to edit the URL in the browser:

http://www.redmine.org/projects/redmine/repository/revisions/8222/diff

 No link points to http://www.redmine.org/projects/redmine/repository/revisions/8222

Regards.

Related issues:

Related to Redmine - Feature #14816: Diff: in repository/diff - Include Links... New

Is duplicate of Redmine - Feature #26576: Use tabs to switch between file cha... Closed

History

#1 - 2011-12-15 13:58 - Etienne Massip

- Target version set to Candidate for next major release

Agreed.

#2 - 2012-01-07 17:07 - Alexei Kornienko

- File revision_links.patch added

- Assignee set to Etienne Massip

Hello could you please check my patch?

#3 - 2012-04-23 11:33 - Daniel Dehennin

Alexei Kornienko wrote:

Hello could you please check my patch?

 Is it intended to patch source:trunk/app/models/repository/mercurial.rb@8530 ?

Regards.

#4 - 2012-04-23 12:24 - Etienne Massip

- Assignee deleted (Etienne Massip)

#5 - 2013-09-17 14:14 - Friedrich Schiller

This is related to Feature #14816

#6 - 2013-09-25 09:43 - Toshi MARUYAMA

- Related to Feature #14816: Diff: in repository/diff - Include Links to repository/changes and repository/revisions added

#7 - 2018-09-13 10:40 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)
http://www.redmine.org/projects/redmine/repository/revisions/8222
https://www.redmine.org/projects/redmine/repository/svn/revisions/8530/entry/trunk/app/models/repository/mercurial.rb
https://www.redmine.org/issues/14816


- Resolution set to Fixed

After r16911, you can switch between diff and revision view using tabs. See #26576 for details.

#8 - 2018-09-13 10:41 - Go MAEDA

- Is duplicate of Feature #26576: Use tabs to switch between file changes and diff of a commit added

Files

revision_links.patch 2.23 KB 2012-01-07 Alexei Kornienko
